<!-- BEGIN COPYRIGHT BLOCK
 This Program is free software; you can redistribute it and/or modify it under
 the terms of the GNU General Public License as published by the Free Software
 Foundation; version 2 of the License.

 This Program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

 You should have received a copy of the GNU General Public License along with
 this Program; if not, write to the Free Software Foundation, Inc., 59 Temple
 Place, Suite 330, Boston, MA 02111-1307 USA.

 
 Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
 Copyright (C) 2005 Red Hat, Inc.
 All rights reserved.
  END COPYRIGHT BLOCK -->
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN"
    "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>Introduction to the Directory Server Web Interface</title>
</head>

<body>

<h1>Introduction to the Directory Server Web Interface</h1>

<p>The Directory Server is a robust, scalable server for storing, querying, and 
managing an enterprise-wide directory of users and information. Using the Directory Server, corporate IS organizations can manage
information from a single point of control, and employees can retrieve this information from multiple network locations.</p>

<p>The directory server provides a simple web based interface to 
corporate user information. From this interface, you can:</p>

<ul>
<P>
    <li><a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm#search">Search the directory for
        information about users and resources.</a> For example,
        you can search for an employee's email address or phone
        number. You can find more information about searching the
        directory in <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/search.htm">Chapter 2,
        &quot;Searching the Directory Tree.&quot;</a></li>
<P>
    <li><a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/add.htm#adding">Create a new entry in the
        directory.</a> For example, you can add information about
        a new employee, such as the employee's name and phone
        number. This feature is usually reserved only for
        users who have authenticated properly to the Directory
        Server, and who have been granted write permissions by
        the directory administrator. For information about adding
        new users, groups, organizational units, and
        organizations to the directory, see <a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/add.htm">Chapter 3,
        &quot;Adding Entries.&quot;</a></li>
<P>
    <li><a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/mod.htm#editing">Modify existing entries in the
        directory.</a> For example, if you have the appropriate
	  permissions, you can change existing values to entry
 	  attributes, delete the entire entry, rename the entry,
	  or change the password for the entry.
        This feature is usually reserved only for users who have been
	  granted write permissions by the directory administrator, and 
        have authenticated properly to the Directory Server. For
        instructions on updating information about users, groups,
        organizational units, and organizations, see <a
        href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/mod.htm">Chapter 4, &quot;Editing
        Entries.&quot;</a></li>
<P>
    <li><a href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/auth.htm#authenticating">Authenticate to the
        Directory Server.</a> If your directory manager has made
        authentication a requirement for accessing or writing to the Directory
        Server, you may need to enter your user name and password.
	  While the exact authentication requirements 
        vary from site to site, the Directory Server typically
        requires authentication only if you are adding,
        modifying, or deleting an entry in the directory. For
        details on authenticating to the Directory Server, see <a
        href="/clients/dsgw/bin/lang?<!-- GCONTEXT -->&file=.MANUAL/auth.htm">Chapter 5, &quot;Authentication.&quot;</a></li>
</ul>

<p> </p>
</body>
</html>
